Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jain.protocol.ss7
Class SS7ListenerAlreadyRegisteredException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--jain.protocol.ss7.SS7Exception
                        |
                        +--jain.protocol.ss7.SS7ListenerAlreadyRegisteredException

public class SS7ListenerAlreadyRegisteredException
extends SS7Exception

This exception is thrown if the add Jain Listener method of a Jain Provider is invoked to add a Jain Listener to the list of registered Event Listeners, and the Jain Listener to be added is already a current registered Event Listener.

Version:
  1.0
Author:
  Colm Hayden
See Also:
  Serialized Form

Constructor Summary
`SS7ListenerAlreadyRegisteredException()` Constructs a new `ListenerNotRegisteredException`
`SS7ListenerAlreadyRegisteredException(java.lang.String msg)` Constructs a new `ListenerNotRegisteredException` with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SS7ListenerAlreadyRegisteredException

    public SS7ListenerAlreadyRegisteredException(java.lang.String msg)

  Constructs a new `ListenerNotRegisteredException` with the specified detail message.
  Parameters:
    `msg` - the detail message

### SS7ListenerAlreadyRegisteredException

    public SS7ListenerAlreadyRegisteredException()

  Constructs a new `ListenerNotRegisteredException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

11 August 2000

Copyright - 2000 Sun Microsystems